{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}

{% block title %}
S'inscrire
{% endblock %}

{% block header %}{% endblock %}

{% block main %}
<form method="POST" class="shadow rounded px-4 py-3">

    <h1 class="text-2xl font-semibold text-center mb-4">S'inscrire</h1>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Votre numéro étudiant</label>
        <input id="student_number" name="numero" type="text" required placeholder="Écrivez votre numéro étudiant ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
    </div>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Votre nom</label>
        <input id="lastname" name="lanme" type="text" required placeholder="Écrivez votre nom ici"
            onkeyup="this.value = this.value.toUpperCase();"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
    </div>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Votre prénom</label>
        <input id="firstname" name="fname" type="text" required placeholder="Écrivez votre prénom ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
    </div>










    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Votre promotion</label>
        <select id="promo" name="promo"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
            {% for promo in get_promos() %}
            <option value="{{ promo.id }}">{{ promo.name }}</option>
            {% endfor %}
        </select>
    </div>


    <div class="flex align-center gap-2 pl-1.5 mt-4">
        <input type="checkbox" name="year_type" id="year_type">
        <label for="year_type">Je suis apprenti(e)</label>
    </div>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Votre adresse email</label>
        <input id="email" name="email" type="email" required placeholder="Écrivez votre adresse email ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
    </div>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Votre mot de passe</label>
        <input id="password" name="password1" type="password" required placeholder="Écrivez votre mot de passe ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
    </div>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Confirmation de votre mot de passe</label>
        <input id="password2" name="password2" type="password" required
            placeholder="Écrivez la confirmation de votre mot de passe ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
    </div>

    <a href="{{ url_for('signin') }}" class="mx-auto flex w-fit hover:text-[var(--blue)] mt-4">Vous avez déjà un compte
        ? Se connecter</a>

    {% if error %}
    <p class="error">
        {{ error }}
    </p>
    {% endif %}
    <button type="submit"
        class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white cursor-pointer hover:text-[var(--blue)] duration-300 shadow mx-auto flex"
        value="Créer le compte">S'inscrire</button>
</form>
{% endblock %}

{% block footer %}{% endblock footer%}

{% block script %}
{{ super() }}
{% endblock %}